<template>
  <div class="text-center">
    <v-container style="padding: 0px">
      <v-row justify="center" style="height: 120px">
        <v-col 
            cols="12"
            xs="12"
            sm="6"
            md="6"
            lg="6"
            xl="6"
        >
          <v-container class="max-width">
            <v-pagination
              v-model="page"
              class="my-4"
              :length="nbPage"
              @input="emitMethod"
            ></v-pagination>
          </v-container>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
    import EventBusEnum from '../../enum/EventBusEnum'
    import Utils from '../../helpers/Utils'

  export default {
    props: {
        nbPage: {
            type: Number
        }
    },
    data () {
      return {
        page: 1,
        data: ""
      }
    },
    methods: {
        emitMethod (payLoad) {
            Utils.emitMethod(EventBusEnum.EVENT_PAGINATION, payLoad)
        },
    }
  }
</script>
